"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useTimeout = function () {
    var timer = react_1.useRef(null);
    var clearTimer = react_1.useCallback(function () {
        if (timer.current) {
            clearTimeout(timer.current);
        }
    }, []);
    react_1.useEffect(function () { return clearTimer; }, []);
    var setTimer = react_1.useCallback(function (callback, delay) {
        clearTimer();
        timer.current = setTimeout(function () {
            timer.current = null;
            callback();
        }, delay);
    }, []);
    return [setTimer, clearTimer];
};
exports.default = useTimeout;
